import Default from "./default";
import { MergeUtil } from "@coscine/app-util";

const appLanguageStrings = {
  en: {
    coscineReleaseNewsTitle: "Coscine Release News",
    coscineReleaseNewsBody: "We continuously develop Coscine with the help of user feedback and deliver regular updates and new features. You would like to be informed about our new features and further developments on a regular basis? Then sign up for our {mailingList}.",
    coscineMailingList: "Coscine mailing list",
    coscineMailingListUrl: "https://lists.rwth-aachen.de/postorius/lists/coscine.lists.rwth-aachen.de/",
    coscineHelpPage: "Coscine Help Pages",
    headline: "Welcome to ",
    description_headline: "Coscine login information",
    description_text:
      "You can log in using either DFN-AAI with your institutional account (e.g. RWTH Single Sign-On) or via ORCID.",
    description_help_headline: "Do you have any questions about Coscine?",
    description_help: "Please visit our ",
    login_headline: "Login",
    login_button_with_account: "Login Access",
    login_button_orcid: "Sign in with ORCID",
    login_button_form: "Sign in with a User ID",
    login_rwth: "Sign in with RWTH Aachen University",
    login_fh: "Sign in with University of Applied Sciences Aachen",
    login_button_without_account: "Continue without Login",
    logout_button_orcid: "Logout from ORCID",
    logout_shibboleth: "Logout from Shibboleth",
    other_institutes: "Other Institutional Account",
    signup: "Sign In",
    back: "Back",
    continue: "Continue",
    InstituteSelection: "Select Institution",
    login_form_headline: "Login with user ID",
    login_form_submit: "Submit",
    login_form_id_required: "The UserId field is required.",
    localeValue: "En",
    help: "Help",
    disclaimer: "Disclaimer",
    imprint: "Imprint",
    contact: "Contact",
    otherLocale: "De",
    alert_headline: "Information about the pilot phase",
    alert_text2: ".",
    alert_text1: `Coscine is currently in the pilot phase. Changes to the interface
                 may be made as part of the pilot phase,
                 but your research data is secure at all times.
                 If you have feedback you are welcome to send it to the`,
    tosppTitle: "Terms of use and privacy policy",
    tosppCancel: "Cancel",
    tosppContinue: "Continue",
    tosBodyStart:
      "In order to access Coscine you need to accept the current Terms of Use (",
    tosBodyLink: "",
    tosBodyEnd: ").",
    tosBodyCheckBox: "I accept the Terms of Use",
    ppBodyStart:
      "Further you need to confirm that you have read and understood the Privacy Policy (",
    ppBodyLink: "",
    ppBodyEnd: ").",
    ppBodyCheckBox: "I have read and understood the Privacy Policy",
  },
  de: {
    coscineReleaseNewsTitle: "Coscine Release News",
    coscineReleaseNewsBody: "Wir entwickeln Coscine mit Hilfe von Nutzerfeedback kontinuierlich weiter und liefern regelmäßig Updates und neue Funktionen. Sie möchten regelmäßig über unsere neuen Funktionen und Weiterentwicklungen informiert werden? Dann tragen Sie sich in unsere {mailingList} ein.",
    coscineMailingList: "Coscine-Mailingliste",
    coscineMailingListUrl: "https://lists.rwth-aachen.de/postorius/lists/coscine.lists.rwth-aachen.de/",
    coscineHelpPage: "Coscine-Hilfeseiten",
    headline: "Willkommen bei ",
    description_headline: "Coscine-Anmeldeinformationen",
    description_text:
      "Sie können sich entweder über DFN-AAI mit Ihrem institutionellen Account (z.B. RWTH Single Sign-On) oder über ORCID anmelden.",
    description_help: "Antworten finden Sie auf unseren ",
    description_help_headline: "Haben Sie Fragen zu Coscine?",
    login_headline: "Login",
    login_button_with_account: "Login-Zugang",
    login_button_orcid: "Anmelden mit ORCID",
    login_button_form: "Anmelden mit User ID",
    login_rwth: "Anmelden mit RWTH Aachen University",
    login_fh: "Anmelden mit University of Applied Sciences Aachen",
    login_button_without_account: "Weiter ohne Login",
    logout_button_orcid: "Logout von ORCID",
    logout_shibboleth: "Logout von Shibboleth",
    other_institutes: "Anderes Institutionelles Konto",
    signup: "Anmelden",
    back: "Zurück",
    continue: "Weiter",
    InstituteSelection: "Institution auswählen",
    login_form_headline: "Login mit Nutzer-ID",
    login_form_submit: "Senden",
    login_form_id_required: "Das UserId-Feld wird benötigt.",
    localeValue: "De",
    help: "Hilfe",
    disclaimer: "Datenschutz",
    imprint: "Impressum",
    contact: "Kontakt",
    otherLocale: "En",
    alert_headline: "Informationen zur Pilotphase",
    alert_text2: " senden.",
    alert_text1: `Coscine befindet sich derzeit in der Pilotphase. Im Rahmen der Pilotphase können Änderungen
                am Interface durchgeführt werden, Ihre Forschungsdaten sind jedoch jederzeit sicher.
                Feedback und Verbesserungsvorschläge können Sie gerne an das `,
    tosppTitle: "Nutzungsbedingungen und Datenschutzerklärung",
    tosppCancel: "Abbrechen",
    tosppContinue: "Fortfahren",
    tosBodyStart:
      "Um Coscine nutzen zu können, müssen Sie den Nutzungsbedingungen (",
    tosBodyLink: "",
    tosBodyEnd: ") zustimmen.",
    tosBodyCheckBox: "Ich akzeptiere die Nutzungsbedingungen",
    ppBodyStart: "Zudem bestätigen Sie, die Datenschutzerklärung (",
    ppBodyLink: "",
    ppBodyEnd: ") zur Kenntnis genommen zu haben.",
    ppBodyCheckBox: "Ich habe die Datenschutzerklärung zur Kenntnis genommen",
  },
};

const languageStrings = MergeUtil.merge(
  MergeUtil.merge({}, Default),
  appLanguageStrings
);

export default {
  languageStrings,
};
